/**************************************************
        Extracted css added from style.css start
***************************************************/

#left-preview-img-after {
    flex-direction: column;
    gap: 3px;
    justify-content: center;
}

.full-name {
    font-size: 12px;
}
.file-upload-text {
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #1e223f;
}
.js_file_upload_wrapper {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 8px 16px;
    gap: 8px;
    background: #e7ebf3;
    border-radius: 8px;
}
.img-text {
    resize: none;
    font-size: 16px;
    cursor: text;
    color: rgb(37, 42, 62);
    border: none;
    resize: none;
    background: rgb(250, 250, 250);
    border-radius: 5px;
    width: 100%;
    margin: 11px 0px;
    min-height: 120px;
    max-height: 120px;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 0;
    border-radius: 6px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
}

@-webkit-keyframes shine {
    100% {
        left: 125%;
    }
}

@keyframes shine {
    100% {
        left: 125%;
    }
}

.convert-all {
    font-size: 16px;
    padding: 3px 20px !important;
    border-radius: 10px !important;
    -webkit-border-radius: 10px !important;
    -moz-border-radius: 10px !important;
    -ms-border-radius: 10px !important;
    -o-border-radius: 10px !important;
}

.center-preview-file-uploadIcon::-webkit-scrollbar {
    width: 3px;
}

.center-preview-file-uploadIcon::-webkit-scrollbar-thumb {
    background: var(--color-CBCBCB);
    border-radius: 10px;
}

.left-preview-img {
    transition: 0.2s;
    cursor: pointer;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}

.cropper-image:hover img {
    transform: scale(1.1);
}

#fullImage {
    width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.tool-section {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin-top: 10px;
}

.tool-section .left {
    flex: 3;
    position: relative;
}

.tool-section .right {
    width: 350px;
    align-self: flex-start;
}

.tool {
    width: 100%;
    border-radius: var(--border-radius-default);
    max-height: 350px;
    height: 100%;
}

.uploaded_tool {
    padding: 0 0 30px 0;
    max-width: 100%;
    width: 100%;
    margin: 0 auto;
    text-align: center;
    border-radius: var(--border-radius-default);
}

.uploaded_tool_title {
    font-size: 16px;
}

.uploaded_tool_title_span {
    color: #179aff;
    font-size: 16px;
}

.uploaded_tool_title_span:hover {
    color: #4fabf1;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}

.browse-btn-second {
    color: #1e223f;
    text-align: left;
    font-size: 18px;
    font-style: normal;
    gap: 0.5rem;
    font-weight: 500;
    line-height: normal;
    cursor: pointer;
}

.tool-inner {
    padding: 1.5rem;
    width: 100%;
    flex-direction: column;
    gap: 1rem;
    height: 100%;
    position: relative;
    border-radius: 15px;
    border: 2px dashed #e4e8f1;
    background: #fff;
    box-shadow: 0px 10px 35px 0px rgba(0, 0, 0, 0.05);
}

.uploaded_tool .tool-inner {
    height: auto;
}

.upload-area-opacity::before {
    content: "";
    background: rgb(255 255 255 / 100%);
    width: 100%;
    height: 100%;
    position: absolute;
}

.submit-btn {
    border: unset;
    padding: 5px 25px;
    border-radius: 5px;
    background-color: var(--color-blue);
    color: white;
}

.browse-btn {
    gap: 6px;
    background-color: #e7ebf3;
    border-radius: 8px;
    padding: 0px 23px;
    color: #0d1120;
    font-size: 16px;
    height: 40px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.tool-upload-btns {
    display: flex;
    flex-direction: row;
}

.tool-upload-btns .tool-upload-btn {
    display: flex;
    gap: 0.324rem;
}

.tool-upload-btns .tool-link-btn {
    border-radius: 10px;
    border: 0.3px solid #85878e;
    opacity: 0.5;
    background: #fff;
    display: inline-flex;
    height: 40px;
    padding: 13px;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
}

.tool-upload-btns .tool-link-btn:hover {
    background: var(--color-lightblue);
    color: var(--color-blue);
    border: 0.3px solid var(--color-blue);
}

.tool-upload-btns .tool-link-btn:hover svg path {
    fill: var(--color-blue);
}

.tool-upload-btns #url,
.tool-upload-btns #show_link_url {
    height: 40px;
    width: 170px;
    border-radius: 10px;
    border: 0.3px solid #85878e;
    opacity: 0.5;
    padding: 5px;
    background: #fff;
}

.tool-upload-btns #url {
    margin-left: 6px;
}

.tool-upload-btns #show_link_url {
    height: 32px;
}

.tool-upload-btns #show_link_url::placeholder {
    color: #85878e;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 23px;
}

@media screen and (max-width: 580px) {
    .tool-upload-btns {
        justify-content: center;
    }

    .uploaded_tool_title {
        line-height: 1;
    }

    .toggleBtn {
        margin: unset !important;
    }
}

.browse-btn:hover {
    color: #0d1120;
}

.browse-btn svg {
    width: 12px;
}

.browse-btn:hover {
    background: #f2f4f9;
    transition: 0.3s;
}

.browse-btn span {
    font-size: 16px;
}

.drag_n_drop_title {
    line-height: 35%;
    color: #1e223f;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
}

.drag_n_drop_sub_title {
    font-size: var(--font-size-x-small);
    color: #85878e;
    text-align: center;
    font-style: normal;
    font-weight: 400;
    line-height: 23px;
}

.drag_n_drop_sub_title > span {
    font-size: var(--font-size-x-small);
    color: #85878e;
    text-align: center;
    font-style: normal;
    font-weight: 400;
    line-height: 23px;
}

.download-all {
    text-align: center;
    gap: 0.324rem;
    justify-content: center;
    align-items: center;
    background-color: #000;
    color: white;
    padding: 5px 14px;
    border-radius: 10px;
    font-size: 14px;
    display: flex;
}

.download_all :hover {
    background: #3c3c3c !important;
    cursor: pointer;
}

.restart_btn,
.btn {
    text-align: center;
    gap: 0.324rem;
    justify-content: center;
    align-items: center;
    background-color: #0984e3;
    color: white;
    padding: 5px 14px;
    border-radius: 10px;
    font-size: 14px;
    display: flex;
}

.restart_btn:hover,
.btn:hover {
    background: #4fabf1 !important;
    cursor: pointer;
}

.restart_btn:active,
.btn:active {
    background: #179aff !important;
}

.restart_btn svg {
    width: 18px;
}

.response_getting {
    text-align: center;
    gap: 0.324rem;
    justify-content: center;
    align-items: center;
    background-color: #90909a;
    color: white;
    padding: 5px 14px;
    border-radius: 10px;
    font-size: 14px;
    display: flex;
}

.response-getting,
.restart-btn {
    padding: 10px 5px;
}

.response_getting svg {
    width: 18px;
}

.selected-result {
    display: flex;
    flex-direction: column;
    border-radius: 15px;
    border: 1px solid #d9d9d9;
    background: #fbfbfb;
    max-width: 100%;
    width: 100%;
    margin: 0 auto;
    text-align: center;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

.selected-result-head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px;
}

.count-uploaded-files {
    color: var(--color-dark);
    text-align: right;
    font-family: Roboto;
    font-size: var(--font-size-small);
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: 0.2px;
}

.selected-result-head .heading {
    color: #0d1120;
    font-family: Roboto;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 0.28px;
}

.multiple-img-preview {
    display: flex;
    flex-direction: column;
    flex: 2;
    position: relative;
    gap: 1rem;
}

.multiple-img-preview::-webkit-scrollbar,
.js-single-img-preview::-webkit-scrollbar {
    width: 6px;
}

.multiple-img-preview::-webkit-scrollbar-thumb,
.js-single-img-preview::-webkit-scrollbar-thumb {
    background-color: #c6cad3;
    border-radius: 4px;
}

.multiple-img-preview::-webkit-scrollbar-track,
.js-single-img-preview::-webkit-scrollbar-track {
    background-color: #eee;
}

.progress2 {
    border-radius: 10px;
    background-color: #dde0e8;
}

.progress-bar2 {
    height: 5px;
    border-radius: 10px;
    transition: 0.4s linear;
    transition-property: width, background-color;
}

.progress-moved .progress-bar2 {
    background-color: #179aff;
    animation: progress 30s forwards;
}

.center-preview-file-bar {
    height: 5px;
    border-radius: 10px;
    background: #179aff;
}

.percentage,
.percentage span {
    color: #7a7b8e;
    font-size: 14px;
    margin-top: 10px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-align: right;
}

.center-preview-file-uploadIcon .percentage,
.center-preview-file-uploadIcon .percentage span {
    color: #7a7b8e;
    font-size: 1px;
    margin-top: 10px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

@keyframes progress {
    0% {
        width: 0%;
        background: #179aff;
    }

    100% {
        width: 100%;
        background: #179aff;
    }
}

.js-single-img-preview {
    padding: 0px 16px 0px 16px;
    margin: 0 16px 0px 16px;
    height: 100px;
    overflow: hidden;
    display: flex;
    gap: 16px;
    max-width: 100%;
    background: #ffffff;
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.03);
    border-radius: 10px;
    transition: height 0.3s ease;
}

.img-preview-name {
    color: #0d1120;
    font-size: 14px;
    font-style: normal;
    line-height: 16px;
}

.choose-plan-desc span {
    line-height: 24px;
}

.choose-plan-desc {
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    color: #0d0c22;
}

.img-preview-name-for-mob {
    color: #0d1120;
    font-size: 14px;
    font-style: normal;
    line-height: normal;
}

.img-preview-name-after-append {
    color: #0d1120;
    font-size: 10px;
    font-style: normal;
    line-height: normal;
}

.img-preview-size {
    color: #7a7b8e;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    display: none;
}

.js-single-img-preview .left-preview {
    display: flex;
    overflow: hidden;
    align-items: center;
    flex-direction: column;
    gap: 0.324rem;
    min-width: 120px;
}

.no-response-title {
    color: #de1a1a;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.no-response-des {
    color: #252a3e;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0.18px;
}

.js-single-img-preview .center-preview {
    justify-content: space-between;
    text-align: center;
    width: 100%;
    display: flex;
    gap: 16px;
}

.title-hover {
    position: relative;
    display: inline-block;
    cursor: pointer;
}
.error-div span {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    color: #565d5d;
    max-width: 220px;
}
.error-div {
    padding: 12px !important;
    min-height: 120px;
    max-height: 300px;
    word-break: break-all;
    background-color: #f5f7fb !important;
    border: none;
    resize: none;
    background: rgb(250, 250, 250);
    border-radius: 5px;
    width: 100%;
    margin: 0 auto;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 1em;
}
.js-single-result-copy::before {
    content: attr(data-title);
    position: absolute;
    top: 50%;
    cursor: pointer;
    left: -100%;
    transform: translate(-50%, -30%);
    background-color: black;
    color: white;
    border-radius: 5px;
    opacity: 0;
    font-size: 12px;
    padding: 2px 5px;
    z-index: 9999;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out;
    -webkit-transition: opacity 0.3s ease-in-out;
    -moz-transition: opacity 0.3s ease-in-out;
    -ms-transition: opacity 0.3s ease-in-out;
    -o-transition: opacity 0.3s ease-in-out;
}

.js-single-result-copy.active::before {
    opacity: 1;
    visibility: visible;
    content: "Copied";
    top: 50%;
}

.js-single-result-download::before {
    content: attr(data-title);
    position: absolute;
    top: 50%;
    left: -80%;
    transform: translate(-50%, -70%);
    background-color: black;
    color: white;
    border-radius: 5px;
    opacity: 0;
    font-size: 12px;
    padding: 2px 5px;
    z-index: 9999;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out;
}

.js-single-result-copy:hover::before,
.js-single-result-download:hover::before {
    opacity: 1;
    visibility: visible;
}

.left-preview-img img {
    width: 130px;
    object-fit: cover;
    max-width: 130px;
    height: auto;
    max-height: 84px;
}

.js-single-img-preview .center-preview .center-preview-inner {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    gap: 0.324rem;
    transition: max-height 0.2s ease;
}

.center-preview-file {
    text-align: center;
    display: flex;
    gap: 0.324rem;
    align-items: center;
}

.center-preview-file-uploadIcon {
    color: #02c24f;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    text-align: left;
    line-height: 16px;
}

.js-single-img-preview .left-preview .left-preview-img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 10px;
    display: flex;
    overflow: hidden;
    align-items: center;
    border-radius: 0px;
    position: relative;
}

.js-single-img-preview .left-preview-img-drag {
    width: 14px;
    position: absolute;
    margin-top: 25px;
    left: 5px;
}

.js-single-img-preview .left-preview-img-drag img {
    width: 20px;
}

.right-preview {
    /* position: absolute;
    right: 2rem; */
    text-align: center;
    cursor: pointer;
}

.right-preview .delete-action,
.deleteIt {
    width: 50px;
}

.right-preview-text {
    color: #de1a1a;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.result-heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--color-skyblue);
    font-weight: 700;
}

.result-div {
    display: flex;
    background: #ffffff;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 10px 99px rgba(0, 0, 0, 0.051);
}

.result-div > div:nth-child(1) {
    flex: 1;
}

.result-div > div:nth-child(2) {
    flex: 4;
}

.single-result > div {
    max-width: 350px;
    margin-left: 20px;
}

.result-div:not(:first-child) {
    margin-top: 1rem;
}

.result-div .js-single-img-prev img {
    min-width: 200px;
    max-width: 200px;
    border-radius: 10px;
    max-height: 200px;
    min-height: 200px;
    width: 100%;
    height: 100%;
}

.js-single-img-prev {
    height: 200px;
}

.single-result {
    max-height: 150px;
    overflow: auto;
    height: 150px;
}

.single-result::-webkit-scrollbar {
    width: 7px;
}

.single-result::-webkit-scrollbar-thumb {
    background: #c2e4ff;
    border-radius: 10px;
}

.single-img-action-btns {
    display: flex;
    justify-content: end;
    gap: 10px;
}

.js-single-result-btn {
    margin-top: 10px;
    padding: 2px 15px;
    border-radius: var(--border-radius-default);
    display: flex;
    gap: 10px;
    justify-content: space-evenly;
    cursor: pointer;
    background: var(--color-F0F0F0);
}

.js-single-result-btn:hover {
    background: var(--color-lightblue);
    color: var(--color-blue);
}

.js-single-result-btn:hover svg path {
    stroke: var(--color-blue);
}

.js-single-result-btn svg {
    margin-top: 7px;
}

.js-single-result-btn:hover label {
    cursor: pointer;
}

.single-img-action-btns .tooltiptext {
    min-width: 100px;
    left: 80%;
}

.js-download-all {
    border-radius: 10px;
    background: #0d1120;
    display: flex;
    padding: 8px 11px;
    cursor: pointer;
    color: #fff;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
}

span.js-download-all:hover {
    background: #313043;
}

span.js-download-all:active {
    background: #0d0c22;
}

.js-single-result-copy svg:hover,
.js-single-result-download svg:hover {
    filter: brightness(0.95);
}

.js-single-result-copy svg:active,
.js-single-result-download svg:active {
    filter: brightness(1.05);
}

.js-download-all img {
    margin-right: 5px;
    vertical-align: sub;
    width: 27px;
    height: 22px;
}

.img_loader {
    position: absolute;
}

.result_title {
    color: black;
    font-size: var(--font-size-large);
}

.timer {
    display: flex;
    align-items: center;
    font-size: 48px;
    color: black;
    font-weight: bold;
}

.timer-card {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.flip-card {
    width: 36px;
    margin: 0 4px;
}

.flip-card-inner {
    width: 30px;
    height: 30px;
    transform-style: preserve-3d;
    transition: transform 0.5s;
}

.flip-card-front,
.flip-card-back {
    width: 100%;
    height: 100%;
    position: absolute;
    backface-visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: bold;
    background-color: white;
    border: 1px solid #ddd;
    border-radius: var(--border-radius-default);
}

.flip-card-front span {
    font-size: 18px;
}

.flip-card-back {
    transform: rotateY(180deg);
}

.separator {
    font-weight: bold;
    font-size: var(--font-size-large);
    color: white;
}

.below-tool {
    display: flex;
    justify-content: end;
    margin-top: 16px;
    position: sticky;
    bottom: 0;
    background: white;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    padding: 10px;
    align-items: center;
}

.below-tool .text {
    color: #0d1120;
    font-size: var(--font-size-default);
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.below-tool-ad.premium {
    justify-content: center;
}

.tool-section.other {
    flex-direction: column;
    max-width: 1060px;
    margin: 0 auto;
}

@media only screen and (max-width: 992px) {
    .tool-section {
        justify-content: center;
    }

    .tool-section .right {
        width: 330px;
    }

    .img-preview-name {
        display: none;
    }

    .img-preview-name-for-mob {
        display: block !important;
    }
}

@media (max-width: 850px) and (min-width: 768px) {
    .plan-section1-img img {
        width: 45px !important;
        height: 50px !important;
    }

    .plan-section1-img {
        position: absolute;
        right: 0;
        top: -2rem;
    }

    .plan-section1 {
        position: relative;
    }
}

@media (max-width: 768px) {
    .table-div table tbody tr td:first-child {
        white-space: nowrap;
    }

    .tool-section.other {
        padding: 0;
        align-items: unset;
    }


    .tool-section .left {
        padding: 0 5px !important;
    }

    .js-single-img-preview {
        margin: 0 10px 0 20px;
    }

    .js-single-img-preview .left-preview {
        flex: 1;
    }

    .js-single-img-preview .left-preview-img-drag {
        left: 0;
    }

    .right-preview-text {
        display: none;
    }

    .right-preview .delete-action,
    .deleteIt {
        width: 18px;
    }

    .content-section {
        display: block;
        padding: 0;
    }

    .tool-section .right {
        width: 350px;
        margin: 0 auto;
    }

    .js-single-img-preview .right-preview {
        flex-direction: column;
        justify-content: center;
    }

    .selected-result-head {
        flex-direction: column;
        gap: 0.324rem;
    }

    .section.tool-hero {
        padding: 16px 0 30px 0;
    }

    .js-single-img-preview .center-preview {
        flex: 5;
    }

    .right-preview .delete-action,
    .deleteIt {
        margin: 0;
    }

    .center-preview-file {
        flex-direction: column;
        align-items: baseline;
    }

    .js-single-img-preview {
        gap: 5px;
    }

    .center-preview-file-uploadIcon {
        font-size: 11px;
    }

    .restart_btn {
        padding: 5px 7px;
    }

    .text-2 {
        display: none;
    }

    .convert-all {
        padding: 5px 8px !important;
        font-size: 14px !important;
    }
}

@media only screen and (max-width: 600px) {
    .multiple-img-preview {
        grid-template-columns: repeat(2, 1fr);
    }

    .tool-upload-btns {
        gap: 8px;
        align-items: center;
        flex-direction: column;
    }

    .tool-inner:not(.uploaded_tool .upload-area) {
        padding: 0.5rem;
        /* min-height: 230px; */
        max-height: unset !important;
    }
    .privacy-text{
        bottom: 10px !important;
    }
}

@media only screen and (max-width: 450px) {
    #previewsImg-bas64 {
        width: 100px;
    }

    .tool-section .right {
        width: 100%;
    }

    .files-heading {
        display: none;
    }

    .right-preview {
        position: absolute !important;
        right: 10px !important;
        bottom: 10px;
    }

    #captcha {
        right: 10% !important;
    }

    .js-single-img-preview {
        padding: 0;
        margin: 0 10px 0 8px;
        position: relative;
    }

    .de-preview-icon {
        right: 0px !important;
    }

    .img-text {
        margin: 5px !important;
    }

    .center-preview-file-bar {
        margin: 0px 3px;
    }
}

@media only screen and (max-width: 425px) {
    .tool-inner {
        gap: 5px;
    }

    .drag_n_drop_title {
        font-size: 15px;
    }

    .browse-btn,
    .tool-upload-btns .tool-link-btn {
        height: 34px;
    }

    .home-upload {
        height: 80px !important;
        width: 90px !important;
    }

    .drag_n_drop_sub_title {
        font-size: 13px;
    }

    .uploaded_tool_title {
        font-size: 14px;
    }

    .multiple-img-preview {
        grid-template-columns: repeat(1, 1fr);
    }
    .privacy-text{
        margin-top: 0px !important;
        bottom: 10px !important;
    }
}

/**************************************************
        Extracted css added from style.css end
***************************************************/

.tool-inner {
    flex-direction: row !important;
    border: 1px solid #e4e8f1 !important;
    padding: 16px !important;
}

.tool_options_wrapper {
    width: 100%;
    display: flex;
    position: absolute;
    top: 0;
    background: #f5f7fb;
    overflow: hidden;
}

.tool-section {
    max-width: 1060px;
    margin: 0 auto;
}

.option__div {
    flex: 1;
    padding: 2px 10px;
    text-align: center;
    cursor: pointer;
}

.upload-browse-qr {
    border-bottom: 2px solid #e4e8f1;
    border-right: 1px solid #e4e8f1;
}

.img-text {
    min-height: unset;
}

.js-single-img-preview {
    min-height: 120px;
}

.selected-result {
    margin-top: 20px;
    max-height: 400px;
    overflow-y: auto;
}

#qr_scanner,
.file_preview {
    background: white;
    height: 328px;
    display: flex;
    gap: 8px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: 0px auto;
    overflow: hidden;
    border-radius: inherit;
    border: 1.5px dashed #e4e8f1 !important;
    /* width: 74%; */
}

.file_preview:has(img) + #qr_scanner {
    display: none !important;
}

.scanning-info {
    position: absolute;
    top: 5px;
    z-index: 1;
    background: rgba(9, 9, 9, 0.46);
    color: rgb(255, 236, 236);
    text-align: center;
    width: 90%;
    border-radius: 6px;
    height: 30px;
}

#qr_scanner:has(video) ~ .scanning-line {
    position: absolute;
    top: 50%;
    width: 45%;
    left: 26%;
    height: 6px;
    background: radial-gradient(red 24%, transparent 50%);
    animation: scanning 2s ease-in-out infinite alternate;
}

.tool {
    height: unset !important;
    max-height: unset !important;
}

@keyframes scanning {
    0% {
        top: 25%;
    }

    100% {
        top: 65%;
    }
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0deg);
    }

    10% {
        transform: translate(-1px, -2px) rotate(-1deg);
    }

    20% {
        transform: translate(-3px, 0px) rotate(1deg);
    }

    30% {
        transform: translate(3px, 2px) rotate(0deg);
    }

    40% {
        transform: translate(1px, -1px) rotate(1deg);
    }

    50% {
        transform: translate(-1px, 2px) rotate(-1deg);
    }

    60% {
        transform: translate(-3px, 1px) rotate(0deg);
    }

    70% {
        transform: translate(3px, 1px) rotate(-1deg);
    }

    80% {
        transform: translate(-1px, -1px) rotate(1deg);
    }

    90% {
        transform: translate(1px, 2px) rotate(0deg);
    }

    100% {
        transform: translate(1px, -2px) rotate(-1deg);
    }
}

.shake {
    animation: shake 0.5s ease;
    /* animation-fill-mode: forwards;  */
}

.browse-btn span {
    font-size: 16px;
}

.error {
    color: red !important;
}

@keyframes moveUpDown {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-2px);
    }

    100% {
        transform: translateY(0);
    }
}

.permission-issue,
.camera-issue {
    max-width: 290px;
    position: absolute;
    /* top: 15%; */
    margin: 0 auto;
    text-align: center;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.camera-issue strong {
    color: #85878e;
    font-size: 16px;
}

.camera-issue p {
    color: #85878e;
    font-size: 14px;
    line-height: 20px;
}

#qr-canvas-visible,
video {
    width: 100% !important;
    height: 328px !important;
    /* Change this to 350px */
    background: none;
    object-fit: cover;
}

.linkShow {
    color: blue !important;
    text-decoration: underline;
}

.browse__action {
    display: flex;
    flex-direction: row;
    position: absolute;
    bottom: 10px;
    gap: 10px;
    align-items: center;
    color: white;
}

@media screen and (max-width: 425px) {
    .permission-issue,
    .camera-issue {
        right: unset !important;
        max-width: 100%;
    }

    #qr_scanner {
        width: 100%;
    }

    .tool-inner:not(.uploaded_tool .upload-area) {
        padding: 0.5rem;
        /* min-height: 410px; */
    }

    .tool,
    .tool-inner,
    .pro-plan-card {
        min-height: 410px;
    }
}

.response-inner {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    padding: 6px;
    width: 100%;
    /* margin-top: 1rem; */
    gap: 4px;
}

.output-text {
    font-size: 16px;
    line-height: 2;
    font-weight: 500;
    color: var(--color-666666);
    margin: 5px;
    text-align: center;
}

.link_paste_qrcode {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

#url {
    height: 40px;
    width: 170px;
    border-radius: 10px;
    border: 0.3px solid #85878e;
    opacity: 0.5;
    padding: 5px;
    background: #fff;
    margin-left: 6px;
}

.tool-link-btn {
    border-radius: 10px;
    border: 1px solid #e4e8f1;
    background: #fff;
    display: inline-flex;
    height: 40px;
    padding: 10px;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
}

.loader_qr_code {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: transparent;
    z-index: 1;
    opacity: 0.7;
    display: flex;
    align-items: center;
    justify-content: center;
}

.loader_qr_code::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 10);
    z-index: -1;
    pointer-events: none;
}

.img-text {
    margin: unset !important;
    min-height: 120px;
    max-height: 300px;
    word-break: break-all;
    background-color: #f5f7fb !important;
}

@media only screen and (max-width: 768px) {
    .tool-section {
        max-width: 95%;
    }
}

@media only screen and (max-width: 450px) {
    .tool-section {
        max-width: 100%;
    }

    .right-preview {
        position: absolute !important;
        right: 0;
        top: 0;
    }

    #qr_scanner:has(video) ~ .scanning-line {
        position: absolute;
        top: 50%;
        width: 100%;
        left: 0%;
    }
}
.err-text {
    resize: none;
    font-size: 16px;
    cursor: text;
    color: rgb(37, 42, 62);
    border: none;
    resize: none;
    background: rgb(250, 250, 250);
    border-radius: 5px;
    width: 100%;
    margin: 11px 0px;
    min-height: 120px;
    max-height: 120px;
    min-height: unset;
    margin: unset !important;
    min-height: 120px;
    max-height: 300px;
    word-break: break-all;
    background-color: #f5f7fb !important;
    padding: 10px;
}
.output-box:has(.ouput_wraper > figure) {
    justify-content: center !important;
}

.ouput_wraper {
    position: relative;
    width: 100%;
    overflow: auto;
    max-height: 300px;
    display: flex;
    border-radius: 8px;
    align-items: center;
    height: fit-content;
}
.response-textarea-title {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #85878e;
}
.inner_div_ouput {
    display: flex;
    width: 100%;
    align-items: center;
    padding: 12px;
}
.response-textarea-des {
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: #1e223f;
}
.ouput_wraper {
    background-color: #f5f7fb !important;
    flex-direction: column;
    height: 100%;
}

.ouput_wraper:has(> figure) {
    padding-right: unset !important;
    background-color: transparent !important;
    justify-content: center !important;
}
.output_description_main {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 5px;
    width: 100%;
}
.output_desc_ {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #85878e;
}
.right-preview {
    display: flex;
    flex-direction: column;
    top: 2px;
    right: 5px;
    gap: 5px;
}

.right-preview span {
    width: 32px;
    height: 32px;
    text-align: center;
}

#history_main {
    width: 100%;
}

.history-tab {
    width: 100%;
    display: flex;
    justify-content: space-between;
    background: #e5e5e5;
    border-radius: 6px;
    padding: 0px 5px;
    font-size: 16px;
    line-height: 2;
    font-weight: 500;
    color: var(--color-666666);
    cursor: pointer;
}

.expand {
    transform: rotate(90deg);
    margin-right: 10px;
}

#history-wrapper {
    height: 300px;
    max-height: 300px;
    position: relative;
    overflow-x: hidden;
    max-width: 100%;
}

.p-relative {
    position: relative;
}

.max-height-50 {
    max-height: 50px;
}

.qr_scanner_outer {
    flex: 1;
    min-width: 50%;
}

.qr_camera_embed {
    border-radius: 12px;
    position: relative;
}

.updated__layout {
    max-width: 1060px;
    margin: 30px auto 0px;
    border: 1px solid #e4e8f1;
    background: #fbfbfb;
    min-height: 360px;
    width: 100%;
    border-radius: 16px;
    padding: 16px;
    padding-bottom: 2rem !important;

    .row {
        position: relative;
        width: 100%;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        place-content: space-between;
        gap: 16px;
    }
    .privacy-text{
        bottom: 10px;
    }
    .leading-0 {
        line-height: 0;
    }

    .cursor-pointer {
        cursor: pointer;
    }

    .input__section__outer {
        flex: 1;
    }

    .input-box,
    .output-box {
        display: flex;
        flex: 1;
        align-items: center;
        flex-direction: column;
        min-height: 328px;
        border-radius: 12px;
        border: 1.5px #e4e8f1;
        border-style: solid;
        gap: 8px;
        background: #fff;
        padding: 12px;
    }
    .output-box {
        align-items: flex-start;
    }
    .input-box {
        border-style: dashed !important;
        justify-content: center;
    }

    .input-box .button-group {
        display: flex;
        gap: 10px;
        width: 100%;
        justify-content: center;
        align-items: center;
    }

    .input-box .button-group label {
        border: 1px solid #e4e8f1;
        background: #fff;
        padding: 8px 16px;
        gap: 10px;
        border-radius: 8px;
        min-width: 160px;
    }

    .input-box .button-group label figure {
        display: flex;
        align-items: center;
        gap: 10px;
        justify-content: center;
    }

    .input-box .button-group label figure figcaption {
        font-size: 16px;
        line-height: 24px;
        color: #1e223f;
        text-align: center;
        font-weight: 400;
    }

    .input-box p {
        font-weight: 500;
        font-size: 16px;
        line-height: 24px;
        text-align: center;
        color: #55586e;
    }

    .input-box .or {
        color: #aaacb7;
        font-size: 14px;
        line-height: 20px;
        text-align: center;
    }

    .paste-image {
        color: #55586e;
        text-decoration: underline;
        font-size: 16px;
        line-height: 24px;
        font-weight: 400;
        cursor: pointer;
    }

    /* output-box start*/
    .output-box figure {
        display: flex;
        flex-direction: column;
        gap: 16px;
        justify-content: center;
        align-items: center;
    }

    .output-box figure figcaption {
        color: #cdcfda;
        font-size: 14px;
        line-height: 20px;
        font-weight: 400;
    }

    .stop__camera {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 32px;
        width: 32px;
        background: #fff;
        border-radius: 99px;
        padding: 4px;
        position: absolute;
        top: 10px;
        right: 10px;
        z-index: 10;
        cursor: pointer;
        box-shadow: 0px 1px 3px 0px #00000040;
    }

    /* output-box end*/
    @media (width<=800px) {
        .row {
            grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
        }

        .or,
        .paste-image,
        .output-box {
            display: none;
        }
    }

    @media (width<=768px) {
        .row {
            display: flex;
            justify-content: center;
            flex-direction: column;
            gap: 16px;
        }
    }

    @media (width<=550px) {
        .input-box .button-group {
            flex-direction: column;
        }
    }
}
